Subject: Re: bug#62004: 30.0.50; comp-run-async-workers failure when default-directory deleted

From: No Wayman <[email-masked]>
Date: Mon, 06 Mar 2023 13:46:39 -0500

Eli Zaretskii <[email-masked]> writes:

> I don't think this is about the directory where the subprocess 
> is
> invoked, I think this is about the .el file not being present. 
> Emacs
> needs the file that is being natively-compiled to exist as a 
> file on
> disk.

The example I gave used the emacs-lisp-native-compile-and-load 
directly because it is the simplest way to reproduce the error.
The same error can happen if the jit native compilation kicks in 
(because an entirely different feature is loaded but needs to be 
jit compiled) while in the buffer which no longer has a file 
associated with it.